
<template>
  <div class="meetingDetial">
    <div class="header">

    </div>
    <div class="voteBox">
      <voteItem class="voteItem" v-for="(item,index) in list" :key="index" :params="item"></voteItem>
    </div>
  </div>
</template>

<script>
import voteItem from "@/views/Home/module/voteItem";
export default {
  name: "meetingDetial",
  components:{
    voteItem
  },
  data(){
    return {
      list:[]
    }
  },
  mounted() {
    this.getVotes();
  },
  methods:{
    getVotes(){
      this.$api.getVotes({activityId:this.$route.query.id}).then(res=>{
        this.list = res.content
      })
    },
  }
}
</script>

<style scoped lang="less">
.meetingDetial{
  width: 100%;
  height: 100%;
  .header{
    background: url("http://121.5.58.50:8088/sport.png");
    background-size: 100%;
    height: 300px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
  }
  .voteBox{
    margin-top: -50px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: calc(100% - 250px);
    overflow-y: auto;
    .voteItem{
      margin-bottom: 15px;
    }
  }
}
</style>